// Copyright 2020 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef ASH_WEBUI_CAMERA_APP_UI_RESOURCES_H_
#define ASH_WEBUI_CAMERA_APP_UI_RESOURCES_H_

#include "ash/webui/camera_app_ui/resources/strings/grit/ash_camera_app_strings.h"

namespace ash {

// TODO(crbug.com/980846): Use camelCase for name instead after totally
// migrating to SWA.
const struct {
  const char* name;
  int id;
} kStringResourceMap[] = {
    {"add_new_page_button", IDS_ADD_NEW_PAGE_BUTTON},
    {"aria_aspect_ratio_16_to_9", IDS_ARIA_ASPECT_RATIO_16_TO_9},
    {"aria_aspect_ratio_4_to_3", IDS_ARIA_ASPECT_RATIO_4_TO_3},
    {"aria_camera_mode_group", IDS_ARIA_CAMERA_MODE_GROUP},
    {"aria_grid_3x3", IDS_ARIA_GRID_3X3},
    {"aria_grid_4x4", IDS_ARIA_GRID_4X4},
    {"aria_grid_off", IDS_ARIA_GRID_OFF},
    {"aria_mirror_off", IDS_ARIA_MIRROR_OFF},
    {"aria_mirror_on", IDS_ARIA_MIRROR_ON},
    {"aria_mute_off", IDS_ARIA_MUTE_OFF},
    {"aria_mute_on", IDS_ARIA_MUTE_ON},
    {"aria_record_type_group", IDS_ARIA_RECORD_TYPE_GROUP},
    {"aria_scan_type_group", IDS_ARIA_SCAN_TYPE_GROUP},
    {"aria_timer_10s", IDS_ARIA_TIMER_10S},
    {"aria_timer_3s", IDS_ARIA_TIMER_3S},
    {"aria_timer_off", IDS_ARIA_TIMER_OFF},
    {"back_button", IDS_BACK_BUTTON},
    {"barcode_copy_link_button", IDS_BARCODE_COPY_LINK_BUTTON},
    {"barcode_copy_text_button", IDS_BARCODE_COPY_TEXT_BUTTON},
    {"barcode_link_chiptext", IDS_BARCODE_LINK_CHIPTEXT},
    {"barcode_wifi_chiptext", IDS_BARCODE_WIFI_CHIPTEXT},
    {"cancel_review_button", IDS_CANCEL_REVIEW_BUTTON},
    {"confirm_review_button", IDS_CONFIRM_REVIEW_BUTTON},
    {"delete_page_button", IDS_DELETE_PAGE_BUTTON},
    {"delete_page_message", IDS_DELETE_PAGE_MESSAGE},
    {"dialog_ok_button", IDS_DIALOG_OK_BUTTON},
    {"doc_scan_menu_button", IDS_DOC_SCAN_MENU_BUTTON},
    {"document_corner_move_desc", IDS_DOCUMENT_CORNER_MOVE_DESC},
    {"error_msg_camera_paused", IDS_ERROR_MSG_CAMERA_PAUSED},
    {"error_msg_empty_recording", IDS_ERROR_MSG_EMPTY_RECORDING},
    {"error_msg_file_system_failed", IDS_ERROR_MSG_FILE_SYSTEM_FAILED},
    {"error_msg_no_camera", IDS_ERROR_MSG_NO_CAMERA},
    {"error_msg_record_start_failed", IDS_ERROR_MSG_RECORD_START_FAILED},
    {"error_msg_save_file_failed", IDS_ERROR_MSG_SAVE_FILE_FAILED},
    {"error_msg_take_photo_failed", IDS_ERROR_MSG_TAKE_PHOTO_FAILED},
    {"error_msg_take_portrait_bokeh_photo_failed",
     IDS_ERROR_MSG_TAKE_PORTRAIT_BOKEH_PHOTO_FAILED},
    {"error_msg_video_too_short", IDS_ERROR_MSG_VIDEO_TOO_SHORT},
    {"expert_custom_video_parameters", IDS_EXPERT_CUSTOM_VIDEO_PARAMETERS},
    {"expert_enable_expert_mode", IDS_EXPERT_ENABLE_EXPERT_MODE},
    {"expert_enable_fps_picker_for_builtin",
     IDS_EXPERT_ENABLE_FPS_PICKER_FOR_BUILTIN},
    {"expert_enable_full_sized_video_snapshot",
     IDS_EXPERT_ENABLE_FULL_SIZED_VIDEO_SNAPSHOT},
    {"expert_enable_ptz_for_builtin", IDS_EXPERT_ENABLE_PTZ_FOR_BUILTIN},
    {"expert_multistream_recording", IDS_EXPERT_MULTISTREAM_RECORDING},
    {"expert_multistream_recording_chrome",
     IDS_EXPERT_MULTISTREAM_RECORDING_CHROME},
    {"expert_multistream_recording_disabled",
     IDS_EXPERT_MULTISTREAM_RECORDING_DISABLED},
    {"expert_multistream_recording_hal", IDS_EXPERT_MULTISTREAM_RECORDING_HAL},
    {"expert_mode_button", IDS_EXPERT_MODE_BUTTON},
    {"expert_preview_metadata", IDS_EXPERT_PREVIEW_METADATA},
    {"expert_print_performance_logs", IDS_EXPERT_PRINT_PERFORMANCE_LOGS},
    {"expert_save_metadata", IDS_EXPERT_SAVE_METADATA},
    {"expert_show_all_resolutions", IDS_EXPERT_SHOW_ALL_RESOLUTIONS},
    {"feedback_button", IDS_FEEDBACK_BUTTON},
    {"feedback_description_placeholder", IDS_FEEDBACK_DESCRIPTION_PLACEHOLDER},
    {"fix_page_button", IDS_FIX_PAGE_BUTTON},
    {"gallery_button", IDS_GALLERY_BUTTON},
    {"help_button", IDS_HELP_BUTTON},
    {"label_30fps", IDS_LABEL_30FPS},
    {"label_60fps", IDS_LABEL_60FPS},
    {"label_back_camera", IDS_LABEL_BACK_CAMERA},
    {"label_barcode_text", IDS_LABEL_BARCODE_TEXT},
    {"label_barcode_url", IDS_LABEL_BARCODE_URL},
    {"label_barcode_wifi", IDS_LABEL_BARCODE_WIFI},
    {"label_barcode_wifi_chip", IDS_LABEL_BARCODE_WIFI_CHIP},
    {"label_crop_done", IDS_LABEL_CROP_DONE},
    {"label_current_and_maximal_record_time",
     IDS_LABEL_CURRENT_AND_MAXIMAL_RECORD_TIME},
    {"label_document_bottom_left_corner",
     IDS_LABEL_DOCUMENT_BOTTOM_LEFT_CORNER},
    {"label_document_bottom_right_corner",
     IDS_LABEL_DOCUMENT_BOTTOM_RIGHT_CORNER},
    {"label_document_top_left_corner", IDS_LABEL_DOCUMENT_TOP_LEFT_CORNER},
    {"label_document_top_right_corner", IDS_LABEL_DOCUMENT_TOP_RIGHT_CORNER},
    {"label_external_camera", IDS_LABEL_EXTERNAL_CAMERA},
    {"label_front_camera", IDS_LABEL_FRONT_CAMERA},
    {"label_full_resolution", IDS_LABEL_FULL_RESOLUTION},
    {"label_grid_3x3", IDS_LABEL_GRID_3X3},
    {"label_grid_4x4", IDS_LABEL_GRID_4X4},
    {"label_grid_golden", IDS_LABEL_GRID_GOLDEN},
    {"label_medium_resolution", IDS_LABEL_MEDIUM_RESOLUTION},
    {"label_no_resolution_option", IDS_LABEL_NO_RESOLUTION_OPTION},
    {"label_record_gif_video_option", IDS_LABEL_RECORD_GIF_VIDEO_OPTION},
    {"label_record_normal_video_option", IDS_LABEL_RECORD_NORMAL_VIDEO_OPTION},
    {"label_record_time_lapse_video_option",
     IDS_LABEL_RECORD_TIME_LAPSE_VIDEO_OPTION},
    {"label_resolution_mp", IDS_LABEL_RESOLUTION_MP},
    {"label_retake", IDS_LABEL_RETAKE},
    {"label_save", IDS_LABEL_SAVE},
    {"label_save_pdf_document", IDS_LABEL_SAVE_PDF_DOCUMENT},
    {"label_save_photo_document", IDS_LABEL_SAVE_PHOTO_DOCUMENT},
    {"label_scan_document_option", IDS_LABEL_SCAN_DOCUMENT_OPTION},
    {"label_scan_qrcode_option", IDS_LABEL_SCAN_QRCODE_OPTION},
    {"label_share", IDS_LABEL_SHARE},
    {"label_switch_record_video_button", IDS_LABEL_SWITCH_RECORD_VIDEO_BUTTON},
    {"label_switch_scan_mode_button", IDS_LABEL_SWITCH_SCAN_MODE_BUTTON},
    {"label_switch_take_photo_button", IDS_LABEL_SWITCH_TAKE_PHOTO_BUTTON},
    {"label_switch_take_portrait_bokeh_photo_button",
     IDS_LABEL_SWITCH_TAKE_PORTRAIT_BOKEH_PHOTO_BUTTON},
    {"label_switch_take_square_photo_button",
     IDS_LABEL_SWITCH_TAKE_SQUARE_PHOTO_BUTTON},
    {"label_video_resolution_360p", IDS_LABEL_VIDEO_RESOLUTION_360P},
    {"label_video_resolution_4k", IDS_LABEL_VIDEO_RESOLUTION_4K},
    {"label_video_resolution_full_hd", IDS_LABEL_VIDEO_RESOLUTION_FULL_HD},
    {"label_video_resolution_hd", IDS_LABEL_VIDEO_RESOLUTION_HD},
    {"label_video_resolution_quad_hd", IDS_LABEL_VIDEO_RESOLUTION_QUAD_HD},
    {"label_off", IDS_LABEL_OFF},
    {"label_on", IDS_LABEL_ON},
    {"label_other_aspect_ratio", IDS_LABEL_OTHER_ASPECT_RATIO},
    {"label_timer_10s", IDS_LABEL_TIMER_10S},
    {"label_timer_3s", IDS_LABEL_TIMER_3S},
    {"low_storage_dialog_auto_stop_desc",
     IDS_LOW_STORAGE_DIALOG_AUTO_STOP_DESC},
    {"low_storage_dialog_auto_stop_title",
     IDS_LOW_STORAGE_DIALOG_AUTO_STOP_TITLE},
    {"low_storage_dialog_cannot_start_desc",
     IDS_LOW_STORAGE_DIALOG_CANNOT_START_DESC},
    {"low_storage_dialog_cannot_start_title",
     IDS_LOW_STORAGE_DIALOG_CANNOT_START_TITLE},
    {"low_storage_dialog_storage_button",
     IDS_LOW_STORAGE_DIALOG_STORAGE_BUTTON},
    {"low_storage_nudge_warning_msg", IDS_LOW_STORAGE_NUDGE_WARNING_MSG},
    {"moving_in_bottom_direction", IDS_MOVING_IN_BOTTOM_DIRECTION},
    {"moving_in_bottom_left_direction", IDS_MOVING_IN_BOTTOM_LEFT_DIRECTION},
    {"moving_in_bottom_right_direction", IDS_MOVING_IN_BOTTOM_RIGHT_DIRECTION},
    {"moving_in_left_direction", IDS_MOVING_IN_LEFT_DIRECTION},
    {"moving_in_right_direction", IDS_MOVING_IN_RIGHT_DIRECTION},
    {"moving_in_top_direction", IDS_MOVING_IN_TOP_DIRECTION},
    {"moving_in_top_left_direction", IDS_MOVING_IN_TOP_LEFT_DIRECTION},
    {"moving_in_top_right_direction", IDS_MOVING_IN_TOP_RIGHT_DIRECTION},
    {"msg_document_detected", IDS_MSG_DOCUMENT_DETECTED},
    {"msg_processing_image", IDS_MSG_PROCESSING_IMAGE},
    {"msg_processing_video", IDS_MSG_PROCESSING_VIDEO},
    {"name", IDS_NAME},
    {"next_page_count", IDS_NEXT_PAGE_COUNT},
    {"no_document_guide_msg", IDS_NO_DOCUMENT_GUIDE_MSG},
    {"open_grid_panel_button", IDS_OPEN_GRID_PANEL_BUTTON},
    {"open_mirror_panel_button", IDS_OPEN_MIRROR_PANEL_BUTTON},
    {"open_ptz_panel_button", IDS_OPEN_PTZ_PANEL_BUTTON},
    {"open_timer_panel_button", IDS_OPEN_TIMER_PANEL_BUTTON},
    {"pan_left_button", IDS_PAN_LEFT_BUTTON},
    {"pan_right_button", IDS_PAN_RIGHT_BUTTON},
    {"photo_aspect_ratio_button", IDS_PHOTO_ASPECT_RATIO_BUTTON},
    {"photo_resolution_button", IDS_PHOTO_RESOLUTION_BUTTON},
    {"photo_settings", IDS_PHOTO_SETTINGS},
    {"ptz_reset_all_button", IDS_PTZ_RESET_ALL_BUTTON},
    {"record_gif_video_option", IDS_RECORD_GIF_VIDEO_OPTION},
    {"record_normal_video_option", IDS_RECORD_NORMAL_VIDEO_OPTION},
    {"record_time_lapse_video_option", IDS_RECORD_TIME_LAPSE_VIDEO_OPTION},
    {"record_video_pause_button", IDS_RECORD_VIDEO_PAUSE_BUTTON},
    {"record_video_paused_msg", IDS_RECORD_VIDEO_PAUSED_MSG},
    {"record_video_resume_button", IDS_RECORD_VIDEO_RESUME_BUTTON},
    {"record_video_start_button", IDS_RECORD_VIDEO_START_BUTTON},
    {"record_video_stop_button", IDS_RECORD_VIDEO_STOP_BUTTON},
    {"rotate_clockwise_button", IDS_ROTATE_CLOCKWISE_BUTTON},
    {"rotate_counterclockwise_button", IDS_ROTATE_COUNTERCLOCKWISE_BUTTON},
    {"scan_button", IDS_SCAN_BUTTON},
    {"scan_document_option", IDS_SCAN_DOCUMENT_OPTION},
    {"scan_qrcode_option", IDS_SCAN_QRCODE_OPTION},
    {"scanned_page_list", IDS_SCANNED_PAGE_LIST},
    {"select_page_button", IDS_SELECT_PAGE_BUTTON},
    {"settings_button", IDS_SETTINGS_BUTTON},
    {"snackbar_link_copied", IDS_SNACKBAR_LINK_COPIED},
    {"snackbar_text_copied", IDS_SNACKBAR_TEXT_COPIED},
    {"status_msg_camera_plugged", IDS_STATUS_MSG_CAMERA_PLUGGED},
    {"status_msg_camera_switched", IDS_STATUS_MSG_CAMERA_SWITCHED},
    {"status_msg_camera_unplugged", IDS_STATUS_MSG_CAMERA_UNPLUGGED},
    {"status_msg_recording_stopped", IDS_STATUS_MSG_RECORDING_STOPPED},
    {"switch_camera_button", IDS_SWITCH_CAMERA_BUTTON},
    {"switch_record_video_button", IDS_SWITCH_RECORD_VIDEO_BUTTON},
    {"switch_scan_mode_button", IDS_SWITCH_SCAN_MODE_BUTTON},
    {"switch_take_photo_button", IDS_SWITCH_TAKE_PHOTO_BUTTON},
    {"switch_take_portrait_bokeh_photo_button",
     IDS_SWITCH_TAKE_PORTRAIT_BOKEH_PHOTO_BUTTON},
    {"take_photo_button", IDS_TAKE_PHOTO_BUTTON},
    {"take_photo_cancel_button", IDS_TAKE_PHOTO_CANCEL_BUTTON},
    {"take_video_snapshot_button", IDS_TAKE_VIDEO_SNAPSHOT_BUTTON},
    {"tilt_down_button", IDS_TILT_DOWN_BUTTON},
    {"tilt_up_button", IDS_TILT_UP_BUTTON},
    {"toggle_mic_button", IDS_TOGGLE_MIC_BUTTON},
    {"video_resolution_button", IDS_VIDEO_RESOLUTION_BUTTON},
    {"video_settings", IDS_VIDEO_SETTINGS},
    {"zoom_in_button", IDS_ZOOM_IN_BUTTON},
    {"zoom_out_button", IDS_ZOOM_OUT_BUTTON},
};

}  // namespace ash

#endif  // ASH_WEBUI_CAMERA_APP_UI_RESOURCES_H_
